package cn.iocoder.yudao.module.configure.convert.deviceenvtype;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.configure.controller.admin.deviceenvtype.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.deviceenvtype.DeviceEnvTypeDO;

/**
 * 小程序设备环境类型配置 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface DeviceEnvTypeConvert {

    DeviceEnvTypeConvert INSTANCE = Mappers.getMapper(DeviceEnvTypeConvert.class);

    DeviceEnvTypeDO convert(DeviceEnvTypeCreateReqVO bean);

    DeviceEnvTypeDO convert(DeviceEnvTypeUpdateReqVO bean);

    DeviceEnvTypeRespVO convert(DeviceEnvTypeDO bean);

    List<DeviceEnvTypeRespVO> convertList(List<DeviceEnvTypeDO> list);

    PageResult<DeviceEnvTypeRespVO> convertPage(PageResult<DeviceEnvTypeDO> page);

}
